package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFDO8 extends MwfRequest<MWFDO8, MWFDO8Response> {

    @Parameter(name = "CIF")
    MWFDO8 cif(String cif);
    @Parameter(name = "Cache_Pouzit")
    MWFDO8 cachePouzit(Long cachePouzit);
    @Parameter(name = "Cache_Signature")
    MWFDO8 cacheSignature(String cacheSignature);
    @Parameter(name = "Cache_SystemID")
    MWFDO8 cacheSystemID(String cacheSystemID);
    @Parameter(name = "CisloKarty")
    MWFDO8 cisloKarty(Long cisloKarty);
    @Parameter(name = "DatumOdblokovani")
    MWFDO8 datumOdblokovani(java.util.Date datumOdblokovani);
    @Parameter(name = "DruhBlokace")
    MWFDO8 druhBlokace(String druhBlokace);
    @Parameter(name = "DrzitelRC")
    MWFDO8 drzitelRC(String drzitelRC);
    @Parameter(name = "DuvodBlokace")
    MWFDO8 duvodBlokace(String duvodBlokace);
    @Parameter(name = "JazykSMS")
    MWFDO8 jazykSMS(String jazykSMS);
    @Parameter(name = "TelefonMobilni")
    MWFDO8 telefonMobilni(String telefonMobilni);
    @Parameter(name = "Urednik")
    MWFDO8 urednik(String urednik);
}
